DNF5-ADVISORY(8)

BEZEICHNUNG
dnf5-advisory - Advisory-Befehl

ÜBERSICHT

dnf5 advisory Unterbefehl [Optionen] [Hinweisangabe …]

BESCHREIBUNG

Der advisory-Befehl in DNF5 bietet verschiedene Abfragen zum Abrufen von Informationen zu Hinweisen und zugehörigen Paketen.

Optionale Hinweisangabe-Argumente können übergeben werden, um nur Hinweise mit bestimmten Namen zu filtern.

Hinweis:
        Der Befehl updateinfo ist als Kompatibilitätsalias für advisory verfügbar. Beispielsweise ist dnf5 updateinfo list äquivalent zu dnf5 advisory list.

UNTERBEFEHLE

    list
        zeigt die den angegebenen Kriterien entsprechenden Hinweise an. Es wird eine Tabelle mit folgenden Spalten angezeigt: Name (Hinweis-ID), Typ, Schweregrad, Paket (NEVRA) und Ausgabedatum. Wenn --with-bz oder --with-cve angegeben ist, zeigt die erste Spalte die Bugzilla- bzw. CVE-Referenz-ID anstelle des Hinweisnamens an. Installierte Hinweispakete werden grün hervorgehoben.

    info
        gibt detaillierte Informationen zu den Hinweisen aus. Für jeden passenden Hinweis werden folgende Informationen angezeigt: Name, Titel, Schweregrad, Typ, Status, Anbieter, Ausgabedatum, Beschreibung, Meldung, Rechte, Referenzen (mit Titel, ID, Typ und URL) sowie betroffene Pakete/Module, geordnet nach Sammlung.

    summary
        gibt eine zusammenfassende Auflistung der Hinweise nach Typ und Schweregrad aus. Zeigt eine hierarchische Übersicht mit der Anzahl der Hinweise in jeder Kategorie an: Sicherheit (mit den Unterkategorien: Kritisch, Wichtig, Mittel, Niedrig, Sonstige), Fehlerbehebung, Verbesserung und Sonstige. Die Ausgabekopfzeile gibt den Filtermodus an: Verfügbar (Standard), Alle, Installiert oder Aktualisierungen.

OPTIONEN

    --all
        zeigt Hinweise an, die irgendeine Version der installierten Pakete enthalten.

    --available
        zeigt Hinweise mit neueren Versionen installierter Pakete an. Dies ist das Standardverhalten.

    --installed
        zeigt Hinweise an, die gleiche und ältere Versionen der installierten Pakete enthalten.

    --updates
        zeigt Hinweise mit neueren Versionen installierter Pakete an, für die eine neuere Version verfügbar ist.

    --contains-pkgs=PAKETNAME, …
        zeigt nur Hinweise an, die Pakete mit den angegebenen Namen enthalten. Dies ist eine Listenoption. Es werden nur installierte Pakete verglichen. Globs werden unterstützt.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --with-bz
        zeigt nur Hinweise an, die ein Bugzilla-Ticket referenzieren.

    --with-cve
        zeigt nur Hinweise an, die ein CVE-Ticket referenzieren.

    --json
        fordert das JSON-Ausgabeformat für maschinenlesbare Ergebnisse an. Dies ist nur für die Unterbefehle list und info verfügbar.

BEISPIELE

    dnf5 advisory info FEDORA-2022-07aa56297a
        zeigt detaillierte Informationen zum Hinweis mit dem angegebenen Namen an.

    dnf5 advisory summary --contains-pkgs=kernel,kernel-core --with-bz
        zeigt eine Zusammenfassung der Hinweise an, die kernel- oder kernel-core-Pakete enthalten und auf irgendein Bugzilla-Ticket verweisen.

    dnf5 advisory list --security --advisory-severities=important
        zeigt eine Liste der Sicherheitshinweise oder Hinweise mit dem Schweregrad important an.

    dnf5 advisory list --json
        listet alle Hinweise im JSON-Format zur programmatischen Verarbeitung auf.

    dnf5 advisory list --json --with-cve
        listet Hinweise mit CVE-Referenzen im JSON-Format (erweitertes Format) auf.

    dnf5 advisory info FEDORA-2022-07aa56297a --json
        zeigt detaillierte Informationen zum Hinweis im JSON-Format an.

JSON-AUSGABE

    •   dnf5 advisory list --json

Der Befehl gibt ein JSON-Feld zurück, wobei jedes Element einen Hinweis beschreibt.

Basisformat (ohne --with-cve oder --with-bz):

            •   name (Zeichenkette) - Bezeichner des Hinweises.

            •   type (Zeichenkette) - Typ des Hinweises (security, bugfix, enhancement).

            •   severity (Zeichenkette) - Schweregrad des Hinweises.

            •   nevra (Zeichenkette) - Name-Epoche:Version-Veröffentlichung.Architektur des Pakets.

            •   buildtime (Ganzzahl) - Bauzeitpunkt des Pakets des Hinweises, UNIX-Zeit.

Erweitertes Format (mit --with-cve oder --with-bz):

            •   advisory_name (Zeichenkette) - Bezeichner des Hinweises.

            •   advisory_type (Zeichenkette) - Typ des Hinweises (security, bugfix, enhancement).

            •   advisory_severity (Zeichenkette) - Schweregrad des Hinweises.

            •   advisory_buildtime (Ganzzahl) - Bauzeitpunkt des Pakets des Hinweises, UNIX-Zeit.

            •   nevra (Zeichenkette) - Name-Epoche:Version-Veröffentlichung.Architektur des Pakets.

            •   references (Feld) - Liste der Referenzen (CVE/Bugzilla). Jede Referenz enthält:

                    •   reference_id (Zeichenkette) - Bezeichner der Referenz (zum Beispiel CVE-2024-1234).

                    •   reference_type (Zeichenkette) - Typ der Referenz (cve oder bugzilla).

    •   dnf5 advisory info --json

Der Befehl gibt ein JSON-Feld zurück, dessen Elemente jeweils detaillierte Hinweisinformationen enthalten. Jedes Hinweisobjekt enthält die folgenden Felder:

    •   Name (Zeichenkette) - Name/Bezeichner des Hinweises.

    •   Title (Zeichenkette) - Titel des Hinweises.

    •   Type (Zeichenkette) - Typ des Hinweises (security, bugfix, enhancement).

    •   Severity (Zeichenkette) - Schweregrad des Hinweises.

    •   Status (Zeichenkette) - Status des Hinweises.

    •   Vendor (Zeichenkette) - Anbieter des Hinweises.

    •   Issued (Ganzzahl) - Veröffentlichungszeitpunkt des Hinweises, UNIX-Zeit.

    •   Description (Zeichenkette) - Detaillierte Beschreibung des Hinweises.

    •   Message (Zeichenkette) - Meldung zum Hinweis.

    •   Rights (Zeichenkette) - (Urheber-)Rechtliche Informationen zum Hinweis.

    •   references (Feld) - Liste der Referenzen (CVE, Bugzilla usw.). Jede Referenz enthält:

        •   Title (Zeichenkette) - Titel der Referenz.

        •   Id (Zeichenkette) - Bezeichner der Referenz (zum Beispiel CVE-2024-1234).

        •   Type (Zeichenkette) - Typ der Referenz (cve, bugzilla usw.).

        •   Url (Zeichenkette) - URL der Referenz.

    •   collections (Objekt) - Paket- und Modulsammlungen, die vom Hinweis betroffen sind:

        •   packages (Feld) - Liste der betroffenen Pakete, angegeben im NEVRA-Format (nur vorhanden, wenn tatsächlich Pakete existieren).

        •   modules (Feld) - Liste der betroffenen Module, angegeben im NSVCA-Format (nur vorhanden, wenn tatsächlich Module existieren).

Für leere Ergebnisse:

    •   dnf5 advisory list --json liefert [] zurück (leeres Feld).

    •   dnf5 advisory info --json liefert [] zurück (leeres Feld).

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).